Subject: Re: BUG: warning at net/core/dev.c:1171/skb_checksum_help() 2.6.18-rc3

From: Patrick McHardy <[email-masked]>
Date: Tue, 01 Aug 2006 09:38:06 +0200

Herbert Xu wrote:
>>- tc_verd/tc_index/input_dev: when directing a packet from a device
>>  supporting GSO to a device not supporting GSO using tc actions,
>>  these fields may be set.
> 
> 
> This doesn't look right though.  GSO should occur just before
> hard_start_xmit (after all tc actions have taken place) so we
> shouldn't have any more tc actions to perform.

You're right, this part shouldn't be necessary. It might be possible
to construct some case with loopback, but I doubt it would be very
realistic.